%define name	rox
%define ver	1.1.3
%define rlname	%{name}
%define rel	1
%define source0	%{rlname}-%{ver}.tgz
%define url	http://rox.sourceforge.net/
%define group	Applications/File
%define copy	GPL
%define icon	undef
%define dentry	undef
%define deskgrp	undef
%define filelst %{name}-%{ver}-files
%define confdir	/etc
%define prefix	/usr

Summary: A fast and powerful graphical file manager

Name: %name
Version: %ver
Release: %rel
Copyright: %{copy}
Packager: linuxkid <linux@peanutlinux.org>
Source: %{source0}
URL: %{url}
Group: %{group}
BuildRoot: /tmp/%{name}-%{ver}-root

%description
ROX-Filer is a fast, powerful, and easy to use graphical file manager. It
has full support for drag-and-drop and application directories.

The filer can also provide a pinboard (allowing you to pin up files on
your desktop background) and panels.

The emphasis is on uncluttered directory views; menus and prompts only
appear when needed.

%prep
%setup -n %{rlname}-%{ver}

%build
if [ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" == "/" ]; then
  echo RPM_BUILD_ROOT is not sane, bailing out...
  exit 1
fi

ARCH=`uname -m`
case $ARCH in
        i?86) ARCH=ix86 ;;
esac

PLATFORM=`uname -s`-$ARCH
cd ROX-Filer
BINDIR=`pwd`/$PLATFORM
cd src
./configure --enable-rox --bindir=$BINDIR
make clean
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

APPDIR=%{prefix}/apps
BINDIR=%{prefix}/bin 
MANDIR=%{_mandir}/man1

mkdir -p ${RPM_BUILD_ROOT}${APPDIR}
mkdir -p ${RPM_BUILD_ROOT}${BINDIR}
mkdir -p ${RPM_BUILD_ROOT}${MANDIR}
# remove the source tree, it is not necessary in a binary install
rm -rf ROX-Filer/src
cp -r ROX-Filer $RPM_BUILD_ROOT/$APPDIR

cat > $RPM_BUILD_ROOT/$BINDIR/rox << EOF
#!/bin/sh
exec $APPDIR/ROX-Filer/AppRun "\$@"
EOF
[ $? -eq 0 ] || exit 1
chmod a+x $RPM_BUILD_ROOT/$BINDIR/rox

cp rox.1 ${RPM_BUILD_ROOT}${MANDIR}
# install link to gzipped copy of manpage. Now hope the page actually gets
# gzipped by rpm...
ln -s ${MANDIR}/rox.1.gz ${RPM_BUILD_ROOT}${MANDIR}/ROX-Filer.1.gz
%__os_install_post

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

find $RPM_BUILD_ROOT -xtype f -print|sed -e "s@^$RPM_BUILD_ROOT@@g" -e "s@^%{confdir}@%config %{confdir}@" > %{filelst}

%files -f %{filelst}
%defattr(-,root,root)
%doc README* COPYING CHANGES TODO Changelog NEWS BUGS doc *.doc

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
